import {HttpParams} from '@angular/common/http';

export class ConnectHelper {

  public static  getCommunityFromDomain(domain: string): string{
    //domain = "beta.covid-19.openaire.eu"; //for testing
    if (domain.indexOf('openaire.eu') === -1) {
      return null;
    }
    if ( domain.indexOf('beta') !== -1) {
      domain = domain.substr(domain.indexOf('.') + 1, domain.length);
      domain = domain.substr(0, domain.indexOf('.'));
    } else if (domain.indexOf('test.') !== -1) {
      return null;
    } else {
      //for production: ignore communities
      // domain = domain.substr(0, domain.indexOf('.'));
      return null;
    }
    if (domain === 'connect' || domain === 'explore' || domain === 'monitor' || domain === 'admin'){
      return null;
    }
    return domain;
  }

  public static getCommunityFromPath(path: string): string {
    if (path.includes('?')) {
      const httpParams = new HttpParams({ fromString: path.split('?')[1] });
      return httpParams.get('communityId');
    } else {
      return null;
    }
  }
}
